/************************************************************************/
/*									*/
/*	Title		:	General Definitions			*/
/*									*/
/*	Author		:	N.P.Vassallo				*/
/*									*/
/*	Creation	:	30th November 1998			*/
/*									*/
/*	Version		:	1.0.0					*/
/*									*/
/*	Description	:	General type definitions.		*/
/*									*/
/************************************************************************/

/* History...

1.0.0	30/11/98 NPV	Creation.

*/

/*****************************************************************************
**************************                         ***************************
**************************   General Definitions   ***************************
**************************                         ***************************
*****************************************************************************/

#ifndef	_SYSDEFNS_H_		/* If common definitions not already defined */
#define	_SYSDEFNS_H_

typedef	unsigned long	_u32;
typedef	unsigned short	_u16;
typedef	unsigned char	_u8;

typedef	_u32	DWORD;
typedef	_u16	WORD;
typedef	_u8	BYTE;

typedef	BYTE*	PBYTE;
typedef	char*	PCHAR;
typedef	DWORD*	PDWORD;

#undef FALSE
#undef TRUE
typedef	_u8	BOOLEAN;
#define	TRUE	1
#define	FALSE	0

#define	POINTER *
typedef _u32 POINTER pu32;
typedef _u16 POINTER pu16;
typedef _u8 POINTER pu8;
typedef	char POINTER _pchar;

#ifndef	PVOID
#define	PVOID	void *
#endif

#ifdef	SWAPENDIAN
#define	U16(a)		(_u16)((a>>8)|(a<<8))
#define	U32(a)		(_u32)((a>>24)|(a<<24)|((a&0x00FF0000)>>8)|((a&0x0000FF00)<<8))
#else
#define	U16(a)		(a)
#define	U32(a)		(a)
#endif

#endif /*_SYSDEFNS_H_*/

/* SYSDEFNS.H */
